Package org.apache.felix.http.base.internal.runtime.dto

# Class BuilderConstants

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.BuilderConstants

public abstract class BuilderConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.osgi.service.servlet.runtime.dto.ServletContextDTO[]`
`CONTEXT_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedServletContextDTO[]`
`CONTEXT_FAILURE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FilterDTO[]`
`EMPTY_FILTER_DTO_ARRAY`
`static final long[]`
`EMPTY_LONG_ARRAY`
`static final String[]`
`EMPTY_STRING_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.ErrorPageDTO[]`
`ERROR_PAGE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedErrorPageDTO[]`
`ERROR_PAGE_FAILURE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedFilterDTO[]`
`FILTER_FAILURE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.ListenerDTO[]`
`LISTENER_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedListenerDTO[]`
`LISTENER_FAILURE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.ResourceDTO[]`
`RESOURCE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedResourceDTO[]`
`RESOURCE_FAILURE_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.ServletDTO[]`
`SERVLET_DTO_ARRAY`
`static final org.osgi.service.servlet.runtime.dto.FailedServletDTO[]`
`SERVLET_FAILURE_DTO_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`BuilderConstants()`

## Method Summary

Modifier and Type
Method
Description
`static <V> V[]`
`copyWithDefault(V[] array, V[] defaultArray)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY_STRING_ARRAY

public static final String[] EMPTY_STRING_ARRAY

### EMPTY_LONG_ARRAY

public static final long[] EMPTY_LONG_ARRAY

### CONTEXT_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.ServletContextDTO[] CONTEXT_DTO_ARRAY

### SERVLET_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.ServletDTO[] SERVLET_DTO_ARRAY

### RESOURCE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.ResourceDTO[] RESOURCE_DTO_ARRAY

### EMPTY_FILTER_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FilterDTO[] EMPTY_FILTER_DTO_ARRAY

### ERROR_PAGE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.ErrorPageDTO[] ERROR_PAGE_DTO_ARRAY

### LISTENER_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.ListenerDTO[] LISTENER_DTO_ARRAY

### CONTEXT_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedServletContextDTO[] CONTEXT_FAILURE_DTO_ARRAY

### SERVLET_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedServletDTO[] SERVLET_FAILURE_DTO_ARRAY

### FILTER_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedFilterDTO[] FILTER_FAILURE_DTO_ARRAY

### RESOURCE_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedResourceDTO[] RESOURCE_FAILURE_DTO_ARRAY

### ERROR_PAGE_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedErrorPageDTO[] ERROR_PAGE_FAILURE_DTO_ARRAY

### LISTENER_FAILURE_DTO_ARRAY

public static final org.osgi.service.servlet.runtime.dto.FailedListenerDTO[] LISTENER_FAILURE_DTO_ARRAY

## Constructor Details

### BuilderConstants

public BuilderConstants()

## Method Details

### copyWithDefault

public static <V> V[] copyWithDefault(V[] array, V[] defaultArray)